Subject: Re: [PATCH] check_and_freshen_file: fix reversed success-check

From: Johannes Sixt <[email-masked]>
Date: Wed, 08 Jul 2015 23:03:02 +0200

Am 08.07.2015 um 20:33 schrieb Jeff King:
> ...or maybe in the utime() step there is actually a bug, and we report
> failure for no good reason. Ugh.

Ah! That code is less than a year old. When I began to adopt a workflow 
requiring force-pushes lately, I wondered why I haven't seen these 
failures earlier, because I did do force pushes in the past, but not 
that frequently. I thought that I had just been lucky. But this would 
explain it.

-- Hannes